summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRomain Perier <mrpouet@gentoo.org>2009-08-21 11:40:07 +0200
committerRomain Perier <mrpouet@gentoo.org>2009-08-21 11:40:07 +0200
commitc70c3fb475e874c194217444999c0204856bf46e (patch)
treed941202b25a3379a8d7ac842920ca18cf0330570 /eclass/d-games.eclass
parentMoved stable/* to ./ (diff)
downloadgamerlay-c70c3fb475e874c194217444999c0204856bf46e.tar.gz
gamerlay-c70c3fb475e874c194217444999c0204856bf46e.tar.bz2
gamerlay-c70c3fb475e874c194217444999c0204856bf46e.zip
Import eclass/ dir from "devel" branch
Diffstat (limited to 'eclass/d-games.eclass')
-rw-r--r--eclass/d-games.eclass37
1 files changed, 37 insertions, 0 deletions
diff --git a/eclass/d-games.eclass b/eclass/d-games.eclass
new file mode 100644
index 0000000..98f2706
--- /dev/null
+++ b/eclass/d-games.eclass
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+# @ECLASS: d-games.eclass
+# @MAINTAINER:
+# gamerlay@gentoo.org
+# @BLURB: Eclass for writting ebuilds for D games.
+# @DESCRIPTION:
+# This eclass is ment to ease writting ebuilds for games that are written
+# in D programming language.
+
+# base added for PATCHES=( ${FILESDIR}/patch ) support
+inherit eutils base games
+
+# @ECLASS-VARIABLE: EAPI
+# @DESCRIPTION:
+# By default we want EAPI 2 which might be redefinable to newer versions later.
+case ${EAPI:-0} in
+ 2) : ;;
+ *) DEPEND="EAPI-TOO-OLD" ;;
+esac
+
+EXPORT_FUNCTIONS src_prepare
+
+d-games_src_prepare() {
+ # not eapi-handled due to danger of change for sys package in future.
+ if ! built_with_use sys-devel/gcc d; then
+ ewarn "sys-devel/gcc must be built with d useflag"
+ die "recompile gcc with USE=\"d\""
+ fi
+
+ # TODO: add check for correct gcc version selected in profile.
+
+ base_src_prepare
+ games_src_prepare
+}